FLANG

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Fortran::evaluate::TypeBase< CATEGORY, KIND > Struct Template Reference

## Public Member Functions
constexpr bool | operator== (const TypeBase &) const

## Static Public Member Functions
static constexpr DynamicType | GetType ()
static std::string | AsFortran ()

## Static Public Attributes
static constexpr TypeCategory | category {CATEGORY}
static constexpr int | kind {KIND}

The documentation for this struct was generated from the following file:

- include/flang/Evaluate/type.h